%define	upstream_name	 Config-YAML
%define upstream_version 1.42

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:	Generic Config perl module
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}/
Source0:	http://search.cpan.org/CPAN/authors/id/M/MD/MDXI/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:	perl(YAML)
BuildArch:	noarch


%description
This module opens a config file and parses it's contents for you. The
method new requires one parameter which needs to be a filename. The
method getall returns a hash which contains all options and it's
associated values of your config file.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc Changes README
%{perl_vendorlib}/Config
%{_mandir}/man3/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.420.0-9.mga8
+ Revision: 1493581
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.420.0-8.mga7
+ Revision: 1266671
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.420.0-7.mga6
+ Revision: 1024319
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.420.0-6.mga6
+ Revision: 942531
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.420.0-5.mga5
+ Revision: 750266
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.420.0-4.mga5
+ Revision: 684002
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.420.0-3.mga4
+ Revision: 510249
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.420.0-2.mga3
+ Revision: 364708
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.420.0-1.mga1
+ Revision: 29953
- mageia rebuild
- imported package perl-Config-YAML


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.420.0-1mdv2010.0
+ Revision: 403026
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.42-6mdv2009.0
+ Revision: 241191
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-4mdv2008.0
+ Revision: 86195
- rebuild


* Thu Aug 31 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-3mdv2007.0
- Rebuild

* Thu Dec 15 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-2mdk
- fix buildrequires

* Tue Nov 29 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.42-1mdk
- first mdk release

